/ducsbyoperator#
Count of drilled but uncompleted wells by county and operator
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/ducsbyoperator |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/ducsbyoperator" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
ducs_by_operator_resp = hyperion_api_client.ducs_by_operator()
ducs_by_operator_df = ducs_by_operator_resp.df()
ducs_by_operator_df.head()
# Example of a Windows PowerShell request to the ducs_by_operator endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$body = @"
{`"state_code`":[`"TX`"],`"region_natgas`":[`"gulf`"],`"sub_region_natgas`":[`"Central - TX`"],`"date_observed_min`":`"2025-01-01`",`"date_observed_max`":`"2026-02-28`"}
"@
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/ducsbyoperator' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
aggregate_by |
string array |
Fields to aggregate over |
region_natgas |
county |
string array |
The county the well is in |
CAMPBELL |
date_observed_max |
— |
The date range maximum of the satellite image in YYYY-MM-DD format |
— |
date_observed_min |
— |
The date range minimum of the satellite image in YYYY-MM-DD format |
— |
operator |
string array |
A well operator |
BILL BARRETT CORPORATION |
region_natgas |
string array |
Region divisions based on natural gas production profiles |
west |
state_code |
string array |
An array of state abbreviations |
WY |
sub_region_natgas |
string array |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
county |
string |
The county the well is in |
CAMPBELL |
date_observed |
— |
The date of the satellite image in YYYY-MM-DD format |
— |
ducs_count |
integer |
Aggregated number of DUCs observed |
— |
operator |
string |
A well operator |
BILL BARRETT CORPORATION |
region_natgas |
string |
Region divisions based on natural gas production profiles |
west |
state_code |
string |
A state abbreviation |
WY |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Aggregation#
Supported parameters: county, date_observed, operator, region_natgas, state_code, sub_region_natgas
Normal Output#
county |
date_observed |
ducs_count |
operator |
region_natgas |
state_code |
sub_region_natgas |
|---|---|---|---|---|---|---|
HENDERSON |
2014-01-01 |
1 |
O’RYAN OIL AND GAS |
gulf |
TX |
Central - TX |
FREMONT |
2014-01-01 |
1 |
JAVERNICK OIL |
west |
CO |
Colorado wo SJ |
RIO BLANCO |
2014-01-01 |
2 |
TEP ROCKY MOUNTAIN LLC |
west |
CO |
Colorado wo SJ |
PANOLA |
2014-01-01 |
2 |
CHEVRON USA INC |
gulf |
TX |
Haynesville - TX |
HARRISON |
2014-01-01 |
2 |
ENPOWER RESOURCES INC. |
gulf |
TX |
Haynesville - TX |
WYOMING |
2014-01-01 |
14 |
BKV OPERATING LLC |
northeast |
PA |
NE PA |
LYCOMING |
2014-01-01 |
13 |
INFLECTION ENERGY (PA) LLC |
northeast |
PA |
NE PA |
HEMPHILL |
2014-01-01 |
1 |
LINN OPERATING, INC. |
gulf |
TX |
North - TX |
SLOPE |
2014-01-01 |
3 |
CONOCOPHILLIPS |
midwest |
ND |
North Dakota |
DUNN |
2014-01-01 |
7 |
CONTINENTAL RESOURCES |
midwest |
ND |
North Dakota |